View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000050Sanny Builder[All Projects] decompilerpublic2019-10-06 19:172019-10-14 02:16
Reporterrus_lol_ 
Assigned ToSeemann 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionopen 
PlatformPCOSWindowsOS Version10
Product Version3.3.0 
Target VersionFixed in Version3.3.2 
Summary0000050: SannyBuilder does not decompile modified scm (GTA LCS)
DescriptionEven if you do not modify scm, compile and open it in SannyBuilder, an error pops up
p.s. Compilation without errors
TagsNo tags attached.
Attached Filespng file icon Снимок экрана (271).png [^] (90,476 bytes) 2019-10-06 19:17

- Relationships

-  Notes
(0000054)
Seemann (administrator)
2019-10-12 05:17

rus_lol_
Can you share the file that you try to decompile?
(0000055)
rus_lol_ (reporter)
2019-10-12 19:11
edited on: 2019-10-12 19:12

https://mega.nz/#!NQsniSjQ!sHjBS8DsY8pLqpiLrYx-0yG_iw6EY7EzEo1WmU3Ktgg [^] (original)
https://mega.nz/#!kMkVTAwR!znIGnOFyg-_Ieackd1iUIdCVVWCv4ctJIm-LMvRxqEg [^]
(original not modified and compiled)

(0000056)
Seemann (administrator)
2019-10-14 02:05

Thanks! I've found the issue. The decompiler does not properly read additional code section when you compile with "Add extra info to SCM" option in LCS mode.

This will be fixed soon, meanwhile you should compile only with that option turned off.

- Issue History
Date Modified Username Field Change
2019-10-06 19:17 rus_lol_ New Issue
2019-10-06 19:17 rus_lol_ Status new => assigned
2019-10-06 19:17 rus_lol_ Assigned To => Seemann
2019-10-06 19:17 rus_lol_ File Added: Снимок экрана (271).png
2019-10-12 05:17 Seemann Note Added: 0000054
2019-10-12 19:11 rus_lol_ Note Added: 0000055
2019-10-12 19:12 rus_lol_ Note Edited: 0000055 View Revisions
2019-10-14 02:05 Seemann Note Added: 0000056
2019-10-14 02:05 Seemann Status assigned => acknowledged
2019-10-14 02:16 Seemann Status acknowledged => resolved
2019-10-14 02:16 Seemann Fixed in Version => 3.3.2


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker